Bug 56483 - (PSAUX)mouse movement locks up console interface
(PSAUX)mouse movement locks up console interface
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-19 14:07 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-19 14:07:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.12-20 i686)

Description of problem:
Plain vanilla full-wipe install of RH7.2 onto old Emachines Celeron 333Mhz,
IDE drive/cdrom, pci ethernet, cheapo 3d video on motherboard, etc.
Generic ps/2 keyboard + mouse, no USB or other devices connected.
System works fine if mouse is unplugged, not moved, or disabled by removing
/dev/mouse symlink (-> /dev/psaux).
Upon any mouse movement, the keyboard (console...? system...?) will lock
up.
I filed this under GPM because you don't have a "mouse" or "console"
component.

Unplugging mouse prevents problem. (no kidding!)
"rm /dev/mouse" prevents problem.
disabling gpm (using /etc/sysconfig/mouse) prevents console lockups, but X
locks up on first invocation, so this appears to be a mouse driver issue.
I had an old Mandrake (RH6.0) install on this system which worked 100%
fine; no other problems with the box.
When this problem first occurred, I swapped the emachines kb+m for
Dell-generic versions with no change, so it isn't caused by a bad mouse or
keyboard.

This problem is rather annoying- anybody have some suggestions for what I
can look into?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
use emachines ps/2 mouse
wipe HD and install RH7.2
login in
move mouse
hit reset button in irritation
repeat


Actual Results:  console locks up if GPM enabled.
otherwise, X locks up.


Expected Results:  mouse should be useable, i.e. not lock up system, let me
point to interesting things on the screen, etc.	

Additional info:

perhaps this was caused by the leonid shower ;-)
Comment 1 Need Real Name 2001-12-06 20:49:04 EST
This is a kernel "misc" driver bug mentioned in the kernel mailing list,
apparently related to the Intel pskbd/psaux chipset when USB enabled (i.e. IRQ
conflict).
Confirmed as per kernel ML discussion that open of /dev/psaux causes lockup of
keyboard, closing /dev/psaux frees up the keyboard per this little shell script:

#!/bin/sh
( echo "lockmeup"; sleep 20; echo freenow ) </dev/psaux

Perusal through source code reveals IRQ is reallocated when psaux device opened
and reverted when it's closed, i.e. the IRQ code is not handling a quirk of the
Intel chipset correctly.
Suggested solution (switch to serial mouse) is okay as workaround, but not a
great option for some platforms (i.e. laptops).

enjoy.

Comment 2 Bernhard Rosenkraenzer 2002-01-17 13:51:25 EST
Assigning to kernel
Comment 3 Bugzilla owner 2004-09-30 11:39:17 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.